curl --request POST \
--url https://api.example.com/api/v1/customer/orders/{orderId}/trip-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverRating": 5,
"overallRating": 5,
"transportOperatorRating": 4,
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"driverComment": "Motorista atencioso e pontual",
"overallComment": "Experiência geral muito boa",
"transportOperatorComment": "Viagem confortável",
"vehicleRating": 4
}
'import requests
url = "https://api.example.com/api/v1/customer/orders/{orderId}/trip-reviews"
payload = {
"driverRating": 5,
"overallRating": 5,
"transportOperatorRating": 4,
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"driverComment": "Motorista atencioso e pontual",
"overallComment": "Experiência geral muito boa",
"transportOperatorComment": "Viagem confortável",
"vehicleRating": 4
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
driverRating: 5,
overallRating: 5,
transportOperatorRating: 4,
tripId: '0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c',
driverComment: 'Motorista atencioso e pontual',
overallComment: 'Experiência geral muito boa',
transportOperatorComment: 'Viagem confortável',
vehicleRating: 4
})
};
fetch('https://api.example.com/api/v1/customer/orders/{orderId}/trip-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tripReviewId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"orderId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"customerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"driverId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"overallRating": 5,
"driverRating": 5,
"transportOperatorRating": 4,
"moderationStatus": "VISIBLE",
"createdAt": "2026-07-04T13:10:00.000Z",
"updatedAt": "2026-07-04T13:10:00.000Z",
"driverComment": "Motorista atencioso e pontual",
"transportOperatorComment": "Viagem confortável",
"vehicleRating": 4,
"overallComment": "Experiência geral muito boa",
"cooperativeResponseMessage": "Obrigado pelo feedback",
"respondedByCooperativeId": null,
"respondedByUserId": null,
"moderationReason": null,
"moderatedByUserId": null,
"createdBy": null,
"updatedBy": null,
"respondedAt": null,
"moderatedAt": null
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Internal Server Error",
"statusCode": 500
}Create Trip Review
Creates a trip review.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
Create review
Driver rating
5
Overall rating
5
Transport operator rating
4
Trip identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"
Driver comment
"Motorista atencioso e pontual"
Overall comment
"Experiência geral muito boa"
Transport operator comment
"Viagem confortável"
Vehicle rating
4
Response
Created
Trip review
Trip review identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Trip identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"
Order identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"
Customer identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b"
Cooperative identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e"
Transport operator identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e"
Driver identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d"
Overall rating
5
Driver rating
5
Transport operator rating
4
Trip review moderation status
VISIBLE, FLAGGED, HIDDEN "VISIBLE"
Creation timestamp
"2026-07-04T13:10:00.000Z"
Update timestamp
"2026-07-04T13:10:00.000Z"
Driver comment
"Motorista atencioso e pontual"
Transport operator comment
"Viagem confortável"
Vehicle rating
4
Overall comment
"Experiência geral muito boa"
Cooperative response message
"Obrigado pelo feedback"
Responding cooperative identifier
null
Responding user identifier
null
Moderation reason
null
Moderating user identifier
null
Created by
null
Updated by
null
Response timestamp
null
Moderation timestamp
null